GET /serviceenginegroup/{uuid}/runtime/
/serviceenginegroup/{uuid}/runtime/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"add_vnic_stats": {
"num_vnic_op": 0,
"num_vnic_op_fail": 0,
"num_vnic_op_success": 0,
"num_vnic_op_timeout": 0
},
"at_curr_ver_se": [
"string"
],
"create_stats": {
"num_se_create": 0,
"num_se_create_fail": 0,
"num_se_create_success": 0,
"num_se_create_timeout": 0
},
"del_vnic_stats": {
"num_vnic_op": 0,
"num_vnic_op_fail": 0,
"num_vnic_op_success": 0,
"num_vnic_op_timeout": 0
},
"disconnected_se": [
"string"
],
"down_se": [
"string"
],
"license_reservation_pending": false,
"license_stats": {
"consumed_service_cores": "number",
"reserved_service_cores": "number"
},
"modify_vnic_stats": {
"num_vnic_op": 0,
"num_vnic_op_fail": 0,
"num_vnic_op_success": 0,
"num_vnic_op_timeout": 0
},
"next_license_reserve_ticks": 0,
"next_se_spawn_ticks": 0,
"num_license_reserve_fail": 0,
"num_se_spawn_fail": 0,
"pending_lic_res_info": {
"consumer_uuid": "string",
"cookie": "string",
"flavor": {
"cost": "string",
"disk_gb": 0,
"enhanced_nw": false,
"id": "string",
"is_recommended": false,
"max_ip6s_per_nic": 0,
"max_ips_per_nic": 0,
"max_nics": 0,
"meta": [
{
"key": "string",
"value": "string"
}
],
"name": "string",
"public": false,
"ram_mb": 0,
"vcpus": 0
},
"memory": 0,
"skip_non_ha_hosts": false,
"source": "string",
"spawn_on_host_uuid": "string",
"ticks": 0,
"vcpus": 0
},
"query_host_cookie": "string",
"query_host_in_progress": false,
"query_host_ticks": 0,
"up_se": [
"string"
],
"upgrade_in_progress": false,
"uuid": "string"
}
add_vnic_stats
It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
create_stats
del_vnic_stats
It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Set to true while an asynchronous ReserveLicense RPC is in flight for an SE create (VS-driven or buffer) in this SE group. Blocks further placement/spawn in the group until HandleLicenseReservationNotification clears it on the reservation response. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
license_stats
modify_vnic_stats
Next tick at which placement may be retried for this SE group after a license reservation failure. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Next tick for SE spawn retry. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of consecutive times a license reservation for this SE group has failed with insufficient license or quota limit exceeded. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of SE spawn fails. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
pending_lic_res_info
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Flap to indicate if SE group is going through an upgrade. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceenginegroup/{uuid}/runtime